Get external party account
curl --request GET \
--url https://api.natural.com/external-party-accounts/{externalPartyAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/external-party-accounts/{externalPartyAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/external-party-accounts/{externalPartyAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/external-party-accounts/{externalPartyAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/external-party-accounts/{externalPartyAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/external-party-accounts/{externalPartyAccountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/external-party-accounts/{externalPartyAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a",
"type": "externalPartyAccount",
"attributes": {
"accountDetails": {
"type": "us_bank_account",
"accountType": "checking",
"last4": "6789",
"mask": "****6789"
},
"validationState": "validated",
"supportedRails": [
"ach",
"realtime"
],
"createdAt": "2026-08-04T15:30:00.000Z",
"updatedAt": "2026-08-04T15:30:00.000Z"
},
"relationships": {
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
}
}
}
}Direct: External party accounts
Get external party account
Get one account of one of your party’s external parties. An account outside your party returns 404. Returns the External Party Account object.
GET
/
external-party-accounts
/
{externalPartyAccountId}
Get external party account
curl --request GET \
--url https://api.natural.com/external-party-accounts/{externalPartyAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/external-party-accounts/{externalPartyAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/external-party-accounts/{externalPartyAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/external-party-accounts/{externalPartyAccountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/external-party-accounts/{externalPartyAccountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/external-party-accounts/{externalPartyAccountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/external-party-accounts/{externalPartyAccountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a",
"type": "externalPartyAccount",
"attributes": {
"accountDetails": {
"type": "us_bank_account",
"accountType": "checking",
"last4": "6789",
"mask": "****6789"
},
"validationState": "validated",
"supportedRails": [
"ach",
"realtime"
],
"createdAt": "2026-08-04T15:30:00.000Z",
"updatedAt": "2026-08-04T15:30:00.000Z"
},
"relationships": {
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
}
}
}
}Authorizations
Headers
Path Parameters
Query Parameters
Was this page helpful?